%define	module	numexpr
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary: 	Fast numerical array expression evaluator for Python and NumPy
Name:		python-%{module}	
Version:	2.2.2	
Release:	%mkrel 3
Source0:	http://numexpr.googlecode.com/files/%{module}-%{version}.tar.gz
License:	MIT
Group:		Development/Python
Url:		http://numexpr.googlecode.com/
BuildRequires:	pkgconfig(python)
BuildRequires:	python-numpy-devel >= 1.6
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-numpy
BuildRequires:	python-six
BuildRequires:	python3-six
Requires:	python-numpy >= 1.6

%description
The numexpr package evaluates multiple-operator array expressions many
times faster than NumPy can. It accepts the expression as a string,
analyzes it, rewrites it more efficiently, and compiles it to faster
Python code on the fly. It's the next best thing to writing the
expression in C and compiling it with a specialized just-in-time (JIT)
compiler, i.e. it does not require a compiler at runtime.

%package -n python3-%{module}
Summary:	Fast numerical array expression evaluator for Python3 and NumPy
Group:		Development/Python
Requires:	python3-numpy

%description -n python3-%{module}
The numexpr package evaluates multiple-operator array expressions many
times faster than NumPy can. It accepts the expression as a string,
analyzes it, rewrites it more efficiently, and compiles it to faster
Python code on the fly. It's the next best thing to writing the
expression in C and compiling it with a specialized just-in-time (JIT)
compiler, i.e. it does not require a compiler at runtime.

%prep
%setup -q -n %{module}-%{version}
sed -i "s|/usr/bin/env |/usr/bin/|" %{module}/cpuinfo.py

cp -a . %{py3dir}

%build
pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build 
popd

CFLAGS="%{optflags}" %{__python} setup.py build

%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot} 
popd

%{__python} setup.py install -O1 --skip-build --root=%{buildroot}
chmod 0644 %{buildroot}%{python_sitearch}/%{module}/cpuinfo.py
chmod 0755 %{buildroot}%{python_sitearch}/%{module}/*.so

%check
libdir=`ls build/|grep lib`
pushd "build/$libdir"
%{__python} -c 'import numexpr; numexpr.test()'
popd

pushd %{py3dir}
libdir=`ls build/|grep lib`
cd "build/$libdir"
%{__python3} -c 'import numexpr; numexpr.test()'
popd

%files
%doc ANNOUNCE.txt LICENSE.txt RELEASE_NOTES.txt README.txt
%dir %{python_sitearch}/%{module}
%{python_sitearch}/%{module}/*
%{python_sitearch}/%{module}-*.egg-info 

%files -n python3-%{module}
%doc ANNOUNCE.txt LICENSE.txt RELEASE_NOTES.txt README.txt
%dir %{python3_sitearch}/%{module}
%{python3_sitearch}/%{module}/*
%{python3_sitearch}/%{module}-*.egg-info



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.2.2-3.mga4
+ Revision: 543836
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.2.2-2.mga4
+ Revision: 498971
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Oct 01 2013 philippem <philippem> 2.2.2-1.mga4
+ Revision: 489947
- Update to 2.2.2

* Fri Sep 13 2013 philippem <philippem> 2.2.1-1.mga4
+ Revision: 478668
- Update to 2.2.1

* Thu Jul 04 2013 philippem <philippem> 2.1-1.mga4
+ Revision: 450072
- Update to 2.1, add Python3

* Sun Jan 13 2013 umeabot <umeabot> 2.0-2.mga3
+ Revision: 379171
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 30 2011 lebedov <lebedov> 2.0-1.mga2
+ Revision: 174436
- Update to 2.0.

* Sun Sep 18 2011 lebedov <lebedov> 1.4.2-1.mga2
+ Revision: 145187
- Import patch to fix linking problem.
- Update spec file.
- imported package python-numexpr

